#
# This file is part of Cadmium.
# Copyright (C) 2007-2010 Xavier Clerc.
#
# Cadmium is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Cadmium is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Paths
path.bin=${basedir}/bin
path.classes=${basedir}/classes
path.deploy=${basedir}/deploy
path.javadoc=${basedir}/javadoc
path.javadoc-dev=${path.javadoc}/dev
path.javadoc-public=${path.javadoc}/public
path.jdkdoc=/System/Library/Frameworks/JavaVM.framework/Versions/1.6/Resources/Documentation/Reference/doc/api
path.lib=${basedir}/lib
path.ocaml=/usr/local/lib/ocaml
path.reports=${basedir}/reports
path.resources=${basedir}/resources
path.src=${basedir}/src
path.tests=${basedir}/tests
path.w3c-jdbm=${path.lib}/w3c-jdbm

# Packages
packages=fr.x9c.cadmium,\
fr.x9c.cadmium.gui,\
fr.x9c.cadmium.kernel,\
fr.x9c.cadmium.primitives,\
fr.x9c.cadmium.primitives.bigarray,\
fr.x9c.cadmium.primitives.cadmium,\
fr.x9c.cadmium.primitives.cadmiumjdbc,\
fr.x9c.cadmium.primitives.cadmiummath,\
fr.x9c.cadmium.primitives.cadmiumservlet,\
fr.x9c.cadmium.primitives.cadmiumswixml,\
fr.x9c.cadmium.primitives.cadmiumxml,\
fr.x9c.cadmium.primitives.dbm,\
fr.x9c.cadmium.primitives.graph,\
fr.x9c.cadmium.primitives.labltk,\
fr.x9c.cadmium.primitives.num,\
fr.x9c.cadmium.primitives.stdlib,\
fr.x9c.cadmium.primitives.str,\
fr.x9c.cadmium.primitives.systhreads,\
fr.x9c.cadmium.primitives.threads,\
fr.x9c.cadmium.primitives.unix,\
fr.x9c.cadmium.primitives.zip,\
fr.x9c.cadmium.support,\
fr.x9c.cadmium.support.scripting,\
fr.x9c.cadmium.support.servlet,\
fr.x9c.cadmium.support.values,\
fr.x9c.cadmium.util

# Project properties
project.name=Cadmium
project.version=1.4
project.author=Xavier Clerc
project.copyright=Copyright (c) 2007-2010, Xavier Clerc
project.overview=${basedir}/javadoc/overview.html
project.main-class=fr.x9c.cadmium.Main
project.jarfile=${path.deploy}/ocamlrun.jar
project.jarfile-labltk=${path.deploy}/ocamlrun-labltk.jar
project.jarfile-servlet=${path.deploy}/ocamlrun-servlet.jar
project.jarfile-swixml=${path.deploy}/ocamlrun-swixml.jar
project.jarfile-scripting=${path.deploy}/ocamlrun-scripting.jar
project.jarfile-scripting-standalone=${path.deploy}/ocamlrun-scripting-standalone.jar
project.java-version=1.6
